Skip to main content
GET
/
admin
/
api
/
v1
/
users
/
{address_or_code}
cURL
curl --request GET \
  --url https://merits.blockscout.com/admin/api/v1/users/{address_or_code} \
  --header 'Authorization: <api-key>'
import requests

url = "https://merits.blockscout.com/admin/api/v1/users/{address_or_code}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://merits.blockscout.com/admin/api/v1/users/{address_or_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": "<string>",
  "balances": {
    "total": "<string>",
    "staked": "<string>",
    "unstaked": "<string>",
    "total_staking_rewards": "<string>",
    "total_referral_rewards": "<string>",
    "pending_referral_rewards": "<string>"
  },
  "logs": [
    {
      "id": "<string>",
      "action": "<string>",
      "details": {},
      "timestamp": "<string>"
    }
  ],
  "code": "<string>",
  "invited_users": [
    "<string>"
  ],
  "passport_score": {
    "score": "<string>",
    "expiry_at": "<string>",
    "details": {}
  }
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Authentication token, prefixed by Bearer: Bearer

Path Parameters

address_or_code
string
required

Response

A successful response.

address
string
balances
object
logs
object[]
code
string
invited_users
string[]
passport_score
object